Zum Inhalt

Get itemSalesPrice

Retrieve the properties and relationships of a item sales price object for Business Central.

HTTP Request

Replace the URL prefix for Business Central depending on environment following the guideline.

GET {businesscentralPrefix}companies({id})/itemSalesPricesWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.

Request Body

Do not supply a request body for this method.

Response body

If successful, this method returns a 200 OK response code and a itemSalesPrices object in the response body.

Requests

Here is a example request.

GET https://{businesscentralPrefix}/companies({id})/itemSalesPricesWebCon?$filter=itemNumber eq '{ItemNo.}'

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{
    "entryNo": 1,
    "customerId": "00000000-0000-0000-0000-000000000000",
    "customerNumber": "",
    "itemId": "82463045-dcd8-ed11-a7cd-000d3a392f9f",
    "itemNumber": "70000",
    "variantCode": "",
    "pricesIncludeTax": false,
    "unitOfMeasure": "STÜCK",
    "unitPrice": 50,
    "unitCostLCY": 24.2,
    "lineDiscount": 0
}

See also

Tips for working with the APIs
itemSalesPrices